<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Create a Boostrap 4 argon button — argonButton • argonR</title>

<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<!-- Bootstrap -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.3.7/journal/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script>

<!-- sticky kit -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/sticky-kit/1.1.3/sticky-kit.min.js" integrity="sha256-c4Rlo1ZozqTPE2RLuvbusY3+SU1pQaJC0TjuhygMipw=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



<meta property="og:title" content="Create a Boostrap 4 argon button — argonButton" />

<meta property="og:description" content="Build an argon button" />
<meta name="twitter:card" content="summary" />



<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->


  </head>

  <body>
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">argonR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.2.0.9000</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fa fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li>
      <a href="../articles/getting_started.html">Getting Started</a>
    </li>
  </ul>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Changelog
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li class="dropdown-header">Releases</li>
    <li class="dropdown-header">argonR 0.2.0.9000</li>
    <li class="dropdown-header">argonR 0.1.0</li>
    <li class="divider"></li>
    <li>
      <a href="../news/index.html">Changelog</a>
    </li>
  </ul>
</li>
      </ul>
      
      <ul class="nav navbar-nav navbar-right">
        <li>
  <a href="https://github.com/RinteRface/argonR">
    <span class="fa fa-github fa-lg"></span>
     
  </a>
</li>
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      
      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>Create a Boostrap 4 argon button</h1>
    <small class="dont-index">Source: <a href='https://github.com/RinteRface/argonR/blob/master/R/argonButton.R'><code>R/argonButton.R</code></a></small>
    <div class="hidden name"><code>argonButton.Rd</code></div>
    </div>

    <div class="ref-description">
    
    <p>Build an argon button</p>
    
    </div>

    <pre class="usage"><span class='fu'>argonButton</span>(<span class='kw'>src</span> <span class='kw'>=</span> <span class='kw'>NULL</span>, <span class='kw'>name</span> <span class='kw'>=</span> <span class='kw'>NULL</span>, <span class='kw'>status</span> <span class='kw'>=</span> <span class='st'>"default"</span>,
  <span class='kw'>icon</span> <span class='kw'>=</span> <span class='kw'>NULL</span>, <span class='kw'>size</span> <span class='kw'>=</span> <span class='kw'>NULL</span>, <span class='kw'>block</span> <span class='kw'>=</span> <span class='fl'>FALSE</span>, <span class='kw'>disabled</span> <span class='kw'>=</span> <span class='fl'>FALSE</span>,
  <span class='kw'>outline</span> <span class='kw'>=</span> <span class='fl'>FALSE</span>, <span class='kw'>toggle_modal</span> <span class='kw'>=</span> <span class='fl'>FALSE</span>, <span class='kw'>modal_id</span> <span class='kw'>=</span> <span class='kw'>NULL</span>)</pre>
    
    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>src</th>
      <td><p>Button external link.</p></td>
    </tr>
    <tr>
      <th>name</th>
      <td><p>Button label.</p></td>
    </tr>
    <tr>
      <th>status</th>
      <td><p>Button color. See <a href='https://demos.creative-tim.com/argon-design-system/docs/components/buttons.html'>https://demos.creative-tim.com/argon-design-system/docs/components/buttons.html</a>.</p></td>
    </tr>
    <tr>
      <th>icon</th>
      <td><p>Button icon. Expect <a href='argonIcon.html'>argonIcon</a> or <a href='https://www.rdocumentation.org/packages/shiny/topics/icon'>icon</a>.</p></td>
    </tr>
    <tr>
      <th>size</th>
      <td><p>Button size: NULL, "sm" or "lg".</p></td>
    </tr>
    <tr>
      <th>block</th>
      <td><p>Whether the button fill its parent. FALSE by default.</p></td>
    </tr>
    <tr>
      <th>disabled</th>
      <td><p>Whether to disable the button. FALSE by default.</p></td>
    </tr>
    <tr>
      <th>outline</th>
      <td><p>Whether to outline the button. FALSE by default.</p></td>
    </tr>
    <tr>
      <th>toggle_modal</th>
      <td><p>Whether to use th button for a modal. FALSE by default.</p></td>
    </tr>
    <tr>
      <th>modal_id</th>
      <td><p>If toggle_modal is TRUE, nedd to provide the modal targeted.</p></td>
    </tr>
    </table>
    

    <h2 class="hasAnchor" id="examples"><a class="anchor" href="#examples"></a>Examples</h2>
    <pre class="examples"><div class='input'><span class='kw'>if</span>(<span class='fu'><a href='https://www.rdocumentation.org/packages/base/topics/interactive'>interactive</a></span>()){
 <span class='fu'><a href='https://www.rdocumentation.org/packages/base/topics/library'>library</a></span>(<span class='no'>argonR</span>)
 <span class='fu'>argonButton</span>(
  <span class='kw'>name</span> <span class='kw'>=</span> <span class='st'>"Click me!"</span>,
  <span class='kw'>status</span> <span class='kw'>=</span> <span class='st'>"danger"</span>,
  <span class='kw'>icon</span> <span class='kw'>=</span> <span class='fu'><a href='argonIcon.html'>argonIcon</a></span>(<span class='st'>"atom"</span>),
  <span class='kw'>size</span> <span class='kw'>=</span> <span class='st'>"lg"</span>,
  <span class='kw'>toggle_modal</span> <span class='kw'>=</span> <span class='fl'>TRUE</span>,
  <span class='kw'>modal_id</span> <span class='kw'>=</span> <span class='st'>"modal1"</span>
 )
}</div></pre>
  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <h2>Contents</h2>
    <ul class="nav nav-pills nav-stacked">
      <li><a href="#arguments">Arguments</a></li>
            
      <li><a href="#examples">Examples</a></li>
    </ul>

    <h2>Author</h2>
    <p>David Granjon, <a href='mailto:dgranjon@ymail.com'>dgranjon@ymail.com</a></p>
  </div>
</div>

      <footer>
      <div class="copyright">
  <p>Developed by David Granjon.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.3.0.</p>
</div>
      </footer>
   </div>

  

  </body>
</html>

